Bug 486146 - ecryptfs-setup-private creates links with non-existing files
ecryptfs-setup-private creates links with non-existing files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ecryptfs-utils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 11:40 EST by Piergiorgio Sartor
Modified: 2009-04-09 12:14 EDT (History)
4 users (show)

See Also:
Fixed In Version: 73-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 12:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2009-02-18 11:40:50 EST
Description of problem:
In order to setup the automatic mount on login of the encrypted ~/Private folder, the tool ecryptfs-setup-private is used.
This tool, among all, creates the folder ~/Private, with permission 500 (r-x------), and it puts some links to files inside this folder.
These links are visible when ~/Private is not mounted (or, better, when ~/.Private is not mounted on ~/Private).

These linked files are:

Access-Your-Private-Data.desktop ->
/usr/share/ecryptfs-utils/ecryptfs-mount-private.desktop
README.txt -> /usr/share/ecryptfs-utils/ecryptfs-mount-private.txt

Unfortunately, these file do not exists.

Version-Release number of selected component (if applicable):
ecryptfs-utils-70-1.fc10

How reproducible:
Always on clean setup. If ~/Private already exists, being non writable, results in the error: Cannot create symbolic link (or similar).

Steps to Reproduce:
1.
Execute "ecryptfs-setup-private" from clean setup, i.e. without ~/Private folder.
  
Actual results:
Everything is setup fine, but the links inside ~/Private point to non-existing files.

Expected results:
The file linked should be there.

Additional info:
Version 61 of the ecryptfs-utils was creating a link to /sbin/mount.ecryptfs_private, which was OK.

I guess the two missing files just need to be added to the rpm package, if they exist somewhere.

Thanks,

piergiorgio
Comment 1 Michal Hlavinka 2009-03-21 03:33:34 EDT
fixed in ecryptfs-utils-73-1.fc10 and ecryptfs-utils-73-1.fc11
Comment 2 Fedora Update System 2009-03-21 05:24:48 EDT
ecryptfs-utils-73-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ecryptfs-utils-73-1.fc10
Comment 3 Piergiorgio Sartor 2009-03-21 05:40:23 EDT
Just in case, I can confirm this release fixes the issue.

Thanks!

pg
Comment 4 Fedora Update System 2009-03-23 11:52:32 EDT
ecryptfs-utils-73-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ecryptfs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2913
Comment 5 Fedora Update System 2009-04-09 12:14:01 EDT
ecryptfs-utils-73-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.